utl::meta::detail::is_applicable_q_< F, T > Struct Template Reference

`#include <invoke.h>`

## Public Types

using | type = if_< not_same_< nil_, decltype(check< F >(0)) >, true_, false_ >

## Static Public Member Functions

template<typename G , typename Ret = invoke_t<G, T...>>
static Ret | check (int)
template<typename... >
static nil_ | check (...)

## Detailed Description

### template<typename F, typename... T>
struct utl::meta::detail::is_applicable_q_< F, T >

Definition at line 129 of file invoke.h.

## Member Typedef Documentation

## type

template<typename F , typename... T>

using utl::meta::detail::is_applicable_q_< F, T >::type = if_ < not_same_< nil_, decltype(check<F>(0)) >, true_, false_ >

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h.

Definition at line 140 of file invoke.h.

## Member Function Documentation

## check() [1/2]

template<typename F , typename... T>
template<typename G , typename Ret = invoke_t<G, T...>>

static Ret utl::meta::detail::is_applicable_q_< F, T >::check | ( | int |  | ) |

static

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h.

## check() [2/2]

template<typename F , typename... T>
template<typename... >

static nil_ utl::meta::detail::is_applicable_q_< F, T >::check | ( |  | ... | ) |

static

The documentation for this struct was generated from the following file:

- include/utl/meta/invoke.h